<?php

namespace App\Entity\ProjectBoost;

use App\Entity\CollectifData\CollectifData;
use Lc\PietroBundle\Repository\ProjectBoost\ProjectBoostRepository;
use Doctrine\ORM\Mapping as ORM;
use Lc\PietroBundle\Model\ProjectBoost\ProjectBoost as PietroProjectBoost;

/**
 * @ORM\Entity(repositoryClass=ProjectBoostRepository::class)
 */
class ProjectBoost extends PietroProjectBoost
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity=CollectifData::class, inversedBy="projectBoost")
     */
    private $collectifData;

    public function __toString()
    {
        return "Les actions à booster";
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCollectifData(): ?CollectifData
    {
        return $this->collectifData;
    }

    public function setCollectifData(?CollectifData $collectifData): self
    {
        $this->collectifData = $collectifData;

        return $this;
    }
}
